gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.GestureLongPress

Contents

- Exported types
- Methods
  - new
- Properties
  - delayFactor
- Signals
  - cancelled
  - pressed

Description

`GestureLongPress` is a `Gesture` implementation able to recognize long presses, triggering the GestureLongPress::pressed after the timeout is exceeded.

If the touchpoint is lifted before the timeout passes, or if it drifts too far of the initial press point, the GestureLongPress::cancelled signal will be emitted.

Synopsis

- newtype GestureLongPress = GestureLongPress (ManagedPtr GestureLongPress)
- class (GObject o, IsDescendantOf GestureLongPress o) => IsGestureLongPress o
- toGestureLongPress :: (MonadIO m, IsGestureLongPress o) => o -> m GestureLongPress
- gestureLongPressNew :: (HasCallStack, MonadIO m, IsWidget a) => a -> m GestureLongPress
- constructGestureLongPressDelayFactor :: (IsGestureLongPress o, MonadIO m) => Double -> m (GValueConstruct o)
- getGestureLongPressDelayFactor :: (MonadIO m, IsGestureLongPress o) => o -> m Double
- setGestureLongPressDelayFactor :: (MonadIO m, IsGestureLongPress o) => o -> Double -> m ()
- type GestureLongPressCancelledCallback = IO ()
- afterGestureLongPressCancelled :: (IsGestureLongPress a, MonadIO m) => a -> ((?self :: a) => GestureLongPressCancelledCallback) -> m SignalHandlerId
- onGestureLongPressCancelled :: (IsGestureLongPress a, MonadIO m) => a -> ((?self :: a) => GestureLongPressCancelledCallback) -> m SignalHandlerId
- type GestureLongPressPressedCallback = Double -> Double -> IO ()
- afterGestureLongPressPressed :: (IsGestureLongPress a, MonadIO m) => a -> ((?self :: a) => GestureLongPressPressedCallback) -> m SignalHandlerId
- onGestureLongPressPressed :: (IsGestureLongPress a, MonadIO m) => a -> ((?self :: a) => GestureLongPressPressedCallback) -> m SignalHandlerId

# Exported types

newtype GestureLongPress Source #

Memory-managed wrapper type.

Constructors

GestureLongPress (ManagedPtr GestureLongPress) |

#### Instances

Instances details

Eq GestureLongPress Source # |
Instance details Defined in GI.Gtk.Objects.GestureLongPress Methods (==) :: GestureLongPress -> GestureLongPress -> Bool Source # (/=) :: GestureLongPress -> GestureLongPress -> Bool Source #
GObject GestureLongPress Source # |
Instance details Defined in GI.Gtk.Objects.GestureLongPress
ManagedPtrNewtype GestureLongPress Source # |
Instance details Defined in GI.Gtk.Objects.GestureLongPress Methods toManagedPtr :: GestureLongPress -> ManagedPtr GestureLongPress Source #
TypedObject GestureLongPress Source # |
Instance details Defined in GI.Gtk.Objects.GestureLongPress Methods glibType :: IO GType Source #
HasParentTypes GestureLongPress Source # |
Instance details Defined in GI.Gtk.Objects.GestureLongPress
IsGValue (Maybe GestureLongPress) Source # | Convert `GestureLongPress` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.GestureLongPress Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe GestureLongPress -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe GestureLongPress) Source #
type ParentTypes GestureLongPress Source # |
Instance details Defined in GI.Gtk.Objects.GestureLongPress type ParentTypes GestureLongPress = '[GestureSingle, Gesture, EventController, Object]

class (GObject o, IsDescendantOf GestureLongPress o) => IsGestureLongPress o Source #

Type class for types which can be safely cast to `GestureLongPress`, for instance with `toGestureLongPress`.

#### Instances

Instances details

(GObject o, IsDescendantOf GestureLongPress o) => IsGestureLongPress o Source # |
Instance details Defined in GI.Gtk.Objects.GestureLongPress

toGestureLongPress :: (MonadIO m, IsGestureLongPress o) => o -> m GestureLongPress Source #

Cast to `GestureLongPress`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, group, handleEvent, handlesSequence, isActive, isFloating, isGroupedWith, isRecognized, notify, notifyByPspec, ref, refSink, reset, runDispose, stealData, stealQdata, thawNotify, ungroup, unref, watchClosure.

#### Getters

getBoundingBox, getBoundingBoxCenter, getButton, getCurrentButton, getCurrentSequence, getData, getDevice, getExclusive, getGroup, getLastEvent, getLastUpdatedSequence, getPoint, getPropagationPhase, getProperty, getQdata, getSequenceState, getSequences, getTouchOnly, getWidget, getWindow.

#### Setters

setButton, setData, setDataFull, setExclusive, setPropagationPhase, setProperty, setSequenceState, setState, setTouchOnly, setWindow.

## new

gestureLongPressNew Source #

Arguments

:: (HasCallStack, MonadIO m, IsWidget a) |
=> a | `widget`: a `Widget`
-> m GestureLongPress | Returns: a newly created `GestureLongPress`

Returns a newly created `Gesture` that recognizes long presses.

Since: 3.14

# Properties

## delayFactor

No description available in the introspection data.

constructGestureLongPressDelayFactor :: (IsGestureLongPress o, MonadIO m) => Double -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`delay-factor`” property. This is rarely needed directly, but it is used by `new`.

getGestureLongPressDelayFactor :: (MonadIO m, IsGestureLongPress o) => o -> m Double Source #

Get the value of the “`delay-factor`” property. When overloading is enabled, this is equivalent to

    get gestureLongPress #delayFactor

setGestureLongPressDelayFactor :: (MonadIO m, IsGestureLongPress o) => o -> Double -> m () Source #

Set the value of the “`delay-factor`” property. When overloading is enabled, this is equivalent to

    set gestureLongPress [ #delayFactor := value ]

# Signals

## cancelled

type GestureLongPressCancelledCallback = IO () Source #

This signal is emitted whenever a press moved too far, or was released before GestureLongPress::pressed happened.

Since: 3.14

afterGestureLongPressCancelled :: (IsGestureLongPress a, MonadIO m) => a -> ((?self :: a) => GestureLongPressCancelledCallback) -> m SignalHandlerId Source #

Connect a signal handler for the cancelled signal, to be run after the default handler. When overloading is enabled, this is equivalent to

    after gestureLongPress #cancelled callback

By default the object invoking the signal is not passed to the callback. If you need to access it, you can use the implit `?self` parameter. Note that this requires activating the `ImplicitParams` GHC extension.

onGestureLongPressCancelled :: (IsGestureLongPress a, MonadIO m) => a -> ((?self :: a) => GestureLongPressCancelledCallback) -> m SignalHandlerId Source #

Connect a signal handler for the cancelled signal, to be run before the default handler. When overloading is enabled, this is equivalent to

    on gestureLongPress #cancelled callback

## pressed

type GestureLongPressPressedCallback Source #

Arguments

= Double | `x`: the X coordinate where the press happened, relative to the widget allocation
-> Double | `y`: the Y coordinate where the press happened, relative to the widget allocation
-> IO () |

This signal is emitted whenever a press goes unmoved/unreleased longer than what the GTK+ defaults tell.

Since: 3.14

afterGestureLongPressPressed :: (IsGestureLongPress a, MonadIO m) => a -> ((?self :: a) => GestureLongPressPressedCallback) -> m SignalHandlerId Source #

Connect a signal handler for the pressed signal, to be run after the default handler. When overloading is enabled, this is equivalent to

    after gestureLongPress #pressed callback

By default the object invoking the signal is not passed to the callback. If you need to access it, you can use the implit `?self` parameter. Note that this requires activating the `ImplicitParams` GHC extension.

onGestureLongPressPressed :: (IsGestureLongPress a, MonadIO m) => a -> ((?self :: a) => GestureLongPressPressedCallback) -> m SignalHandlerId Source #

Connect a signal handler for the pressed signal, to be run before the default handler. When overloading is enabled, this is equivalent to

    on gestureLongPress #pressed callback